// iOSReview.m
#import <Foundation/Foundation.h>
#import <StoreKit/StoreKit.h>

extern "C" {
    void RequestReview(const char* customReviewURL) {
        if (@available(iOS 10.3, *)) {
            [SKStoreReviewController requestReview];
        } else {
            NSString *url = [NSString stringWithUTF8String:customReviewURL];
            [[UIApplication sharedApplication] openURL:[NSURL URLWithString:url]];
        }
    }
}

